#Use port 5000 to deploy applications on AWS Elastic Beanstalk
server.port=5000
logging.level.org.springframework=info
#To expose all the APIs by Spring Boot Actuator, use following configuration.
management.endpoints.web.exposure.include=*
#spring.h2.console.enabled=true
#spring.datasource.url=jdbc:h2:mem:testdb
spring.jpa.defer-datasource-initialization=true
spring.jpa.show-sql=true

#Configure MySQL Database (local)
#spring.datasource.url=jdbc:mysql://localhost:3306/sona-super-shop-db
#spring.datasource.username=sona-super-shop-admin
#spring.datasource.password=admin

#Configure environment variable for RDS Database (AWS RDS)
spring.datasource.url=jdbc:mysql://${RDS_HOSTNAME:localhost}:${RDS_PORT:3306}/${RDS_DB_NAME:sona-super-shop-db}
spring.datasource.username=${RDS_USERNAME:sonaadmin}
spring.datasource.password=${RDS_PASSWORD:admin#7162534435261}

#sqlsh command
#\connect sona-super-shop-admin@localhost:3306

#Make Spring Boot Auto-Configuration generate tables from Entities automatically.
spring.jpa.hibernate.ddl-auto=update

spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQLDialect

#To disable "_embedded" in Spring HATEOAS
#spring.data.rest.defaultMediaType=application/json
#spring.hateoas.use-hal-as-default-json-media-type=false

#Create docker container
#docker run --detach --env MYSQL_ROOT_PASSWORD=admin#7162534435261 --env MYSQL_USER=sonaadmin --env MYSQL_PASSWORD=admin#7162534435261 --env MYSQL_DATABASE=sona-super-shop-db --name sonamysql --publish 3306:3306 mysql:8-oracle
